<template>
  <v-container>
    <v-card outlined class="mx-auto" max-width="100%" >
      <v-card-subtitle class="pb-0">
        <image-field v-model="newClientCompany.multipartFile" :disabled="disabledInformation" url-image=""/>
        <v-divider></v-divider>
        <v-form ref="newEntityForm" class="mt-8" lazy-validation>
          <register-field-validation v-model="newClientCompany.ruc" :disabled="disabledInformation"  field-name="RUC" :validation="rucRules" place-holder="Ingrese RUC"  />
          <register-field-validation v-model="newClientCompany.name"  :disabled="disabledInformation" field-name="Razón Social"  place-holder="Ingrese Razón Social"  />
          <!---          <register-field-validation v-model="newClientCompany.companyEmail" :disabled="disabledInformation"  field-name="Correo" :validation="emailRules" place-holder="Ingrese Correo"  />
                    <register-field-validation v-model="newClientCompany.phone"  :disabled="disabledInformation" field-name="Teléfono" :validation="phoneRules" place-holder="Ingrese Teléfono"  />
          --->
          <register-field-validation v-model="newClientCompany.address" :disabled="disabledInformation" field-name="Dirección" :validation="addressRules" place-holder="Ingrese Dirección"  />
        </v-form>
      </v-card-subtitle>
      <v-card-actions class="d-flex justify-end">
        <v-btn depressed color="primary" style="padding: 15px" rounded outlined @click="editar">EDITAR</v-btn>
      </v-card-actions>
      <br>
    </v-card>
    <client-supervisor/>
  </v-container>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import RegisterImage from '~/components/register/registerImage';
import RegisterButton from '~/components/register/registerButton';
import { rucRules, companyNameRules, emailRules, phoneRules, addressRules } from '~/helpers/validation';
import imageField from "~/components/InputField/ImageField";
import RegisterFieldValidation from "~/components/InputField/RegisterFieldValidation";
import ClientSupervisor from '~/components/ClientSupervisor';

export default {
  name: 'ShowClients',
  components: { RegisterButton, RegisterImage,RegisterFieldValidation,imageField, ClientSupervisor},
  data() {
    return {
      disabledInformation: true,
      disabledName: true,
      rucRules,
      companyNameRules,
      emailRules,
      phoneRules,
      addressRules,
      newClientCompany: {
        address: '',
        name: '',
        phone: '',
        ruc: '',
        multipartFile: null,
        companyEmail: ''
      },
      snackBar:{
        show:false,
        color:'',
        text:'',
      },
    };
  },
  computed:{
    ...mapState({
      checkedClientCompany: state => state.providercompany['client-company'].checkedClientCompany,
    }),
  },

  methods: {
    ...mapActions({
      //getCompanies: 'providercompany/client-company/getClientCompanies',
      registerClientCompany: 'providercompany/client-company/registerClientCompany',
      checkedInformationClientCompany: 'providercompany/client-company/checkedInformationClientCompany',
      storeNewClientCompany: 'providercompany/client-company/storeNewClientCompany'
    }),
    handleCancelRegister() {
      this.$router.push('/clientes');
    },
    editar(){
      this.$router.push(`/clientes/editar-cliente/${this.newClientCompany.uuid}`);
    },
    clearForm(){
      this.newClientCompany.name='';
      this.newClientCompany.address='';
      this.newClientCompany.phone= '';
    }
  },
};
</script>

<style scoped>
.page-title {
  font-family: 'Montserrat', sans-serif;
  font-size: 1.5rem;
  margin-top: 1rem;
  margin-left: 1rem;
}
.buttonRegisterLeft {
  margin-top: 1rem;
}
</style>
